<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{main-layout.html::main-fragment(~{::title},~{::#article-main-content})}">
<head>
<meta charset="UTF-8">
<title>Gestion des articles</title>
</head>
<body>
    <div id="article-main-content">
        <h2 class>Gestion des articles</h2>
        <a class="btn btn-primary btn-sm my-3" href="/admin/articles/add">Ajouter un article</a>
        <a class="btn btn-secondary btn-sm my-3" href="/admin/articles/exportcsv">Exporter en CSV les articles</a>
        <table class="table">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Description</th>
                    <th>Prix</th>
                    <th>Date de Production</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr th:each="article : ${articles}">
                     <td th:text="${article.id}"/>
                     <td th:text="${article.description}"/>
                     <td th:text="${article.prix}"/>
                     <td th:text="${#temporals.format(article.dateProduction, 'dd MMMM yyyy')}"/>
                     <td><a class ="btn btn-danger btn-sm" th:href="@{/admin/articles/delete/{idSup}(idSup=${article.id})}">Supprimer</a></td> 
                </tr>
            </tbody>
        </table>
        
    </div>

</body>
</html>